org.fourthline.cling.binding.xml

## Class UDA10DeviceDescriptorBinderSAXImpl

- java.lang.Object
- - org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderImpl
  - - org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderSAXImpl

- All Implemented Interfaces:
    DeviceDescriptorBinder, ErrorHandler

      public class UDA10DeviceDescriptorBinderSAXImpl
      extends UDA10DeviceDescriptorBinderImpl

  A JAXP SAX parser implementation, which is actually slower than the DOM implementation (on desktop and on Android)!
  Author:
    Christian Bauer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.DeviceDescriptorHandler<I>`
    `protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.DeviceHandler`
    `protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.DeviceListHandler`
    `protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.IconHandler`
    `protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.IconListHandler`
    `protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.RootHandler`
    `protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.ServiceHandler`
    `protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.ServiceListHandler`
    `protected static class` | `UDA10DeviceDescriptorBinderSAXImpl.SpecVersionHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDA10DeviceDescriptorBinderSAXImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<D extends Device> D` | `describe(D undescribedDevice, String descriptorXml)`

    - ### Methods inherited from class org.fourthline.cling.binding.xml.UDA10DeviceDescriptorBinderImpl

      `buildDOM, buildInstance, describe, error, fatalError, generate, generateDevice, generateDeviceList, generateIconList, generateRoot, generateServiceList, generateSpecVersion, hydrateDevice, hydrateDeviceList, hydrateIconList, hydrateRoot, hydrateServiceList, hydrateSpecVersion, parseURI, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UDA10DeviceDescriptorBinderSAXImpl

          public UDA10DeviceDescriptorBinderSAXImpl()

  - ### Method Detail

    - #### describe

          public <D extends Device> D describe(D undescribedDevice,
                                               String descriptorXml)
                                        throws DescriptorBindingException,
                                               ValidationException

      Specified by:
        `describe` in interface `DeviceDescriptorBinder`
      Overrides:
        `describe` in class `UDA10DeviceDescriptorBinderImpl`
      Throws:
        `DescriptorBindingException`
        `ValidationException`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.